# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name type-level

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        0.2.4
Release:        11%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches_with_ghci}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-syb-prof
BuildRequires:  ghc-template-haskell-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc README


%changelog
* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.4-11
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.4-10.4
- rebuild with new gmp without compat lib

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.4-10.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.4-10.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.4-10.1
- rebuild with new gmp

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.2.4-10
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.2.4-9
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Jens Petersen <petersen@redhat.com> - 0.2.4-7
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.2.4-6
- rebuild

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.2.4-5
- depends on syb for ghc7

* Fri Aug 20 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-4
- Removed ghc_pkg_deps and ghc_pkg_c_deps.

* Thu Aug 19 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-3
- Updated for cabal2spec-0.22.2.

* Tue Jul 13 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-2
- Added BSD license.
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.1

* Wed Apr 07 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-1
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.1
